Bug 885356 - [abrt] kactivities-4.9.3-1.fc17: operator new: Process /usr/bin/kactivitymanagerd was killed by signal 11 (SIGSEGV)
Summary: [abrt] kactivities-4.9.3-1.fc17: operator new: Process /usr/bin/kactivitymana...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kactivities
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:913b0ed13bb4cc5967104cc99b6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-08 20:16 UTC by Dandim
Modified: 2013-08-01 12:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 12:13:36 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (4.45 KB, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: environ (1.55 KB, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: backtrace (59.36 KB, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: smolt_data (3.13 KB, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: xsession_errors (102 bytes, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: executable (26 bytes, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: maps (53.37 KB, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: dso_list (11.71 KB, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: var_log_messages (157 bytes, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details
File: open_fds (144 bytes, text/plain)
2012-12-08 20:16 UTC, Dandim
no flags Details

Description Dandim 2012-12-08 20:16:16 UTC
Version-Release number of selected component:
kactivities-4.9.3-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/kactivitymanagerd
crash_function: operator new
kernel:         3.6.9-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #14 operator new at ../../../../libstdc++-v3/libsupc++/new_op.cc:52
: #15 QTextStream::QTextStream at io/qtextstream.cpp:1042
: #16 Stream at /usr/include/QtCore/qdebug.h:67
: #17 QDebug at /usr/include/QtCore/qdebug.h:78
: #18 qDebug at /usr/include/QtCore/qdebug.h:279
: #19 signalHandler at /usr/src/debug/kactivities-4.9.3/service/main.cpp:68
: #21 QCoreApplicationPrivate::sendThroughApplicationEventFilters at kernel/qcoreapplication.cpp:1002
: #22 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4532
: #23 QApplication::notify at kernel/qapplication.cpp:4418
: #24 KApplication::notify at /usr/src/debug/kdelibs-4.9.3/kdeui/kernel/kapplication.cpp:311

Comment 1 Dandim 2012-12-08 20:16:20 UTC
Created attachment 660032 [details]
File: core_backtrace

Comment 2 Dandim 2012-12-08 20:16:23 UTC
Created attachment 660033 [details]
File: environ

Comment 3 Dandim 2012-12-08 20:16:25 UTC
Created attachment 660034 [details]
File: limits

Comment 4 Dandim 2012-12-08 20:16:28 UTC
Created attachment 660035 [details]
File: backtrace

Comment 5 Dandim 2012-12-08 20:16:29 UTC
Created attachment 660036 [details]
File: cgroup

Comment 6 Dandim 2012-12-08 20:16:32 UTC
Created attachment 660037 [details]
File: smolt_data

Comment 7 Dandim 2012-12-08 20:16:34 UTC
Created attachment 660038 [details]
File: xsession_errors

Comment 8 Dandim 2012-12-08 20:16:36 UTC
Created attachment 660039 [details]
File: executable

Comment 9 Dandim 2012-12-08 20:16:39 UTC
Created attachment 660040 [details]
File: maps

Comment 10 Dandim 2012-12-08 20:16:41 UTC
Created attachment 660041 [details]
File: dso_list

Comment 11 Dandim 2012-12-08 20:16:44 UTC
Created attachment 660042 [details]
File: proc_pid_status

Comment 12 Dandim 2012-12-08 20:16:45 UTC
Created attachment 660043 [details]
File: var_log_messages

Comment 13 Dandim 2012-12-08 20:16:48 UTC
Created attachment 660044 [details]
File: open_fds

Comment 14 Fedora End Of Life 2013-07-04 03:55:38 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2013-08-01 12:13:41 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.